package tetrisGame.views

import android.annotation.SuppressLint
import android.content.Context
import android.graphics.Canvas
import android.graphics.Color
import android.graphics.Paint
import android.graphics.Rect
import android.util.AttributeSet
import android.view.View

class ViewsGame(context:Context, attrs: AttributeSet?) : View(context, attrs) {

    val myPaint:Paint = Paint()
    @SuppressLint("DrawAllocation")
    override fun onDraw(canvas: Canvas) {
        super.onDraw(canvas)

        val tailleGrille:Float = 5F
        val tailleTableauHauteur:Float = 1175F
        val tailleTableauLargeur:Float = 655F
        val nbCaseLargeur:Int = 12
        val nbCaseHauteur:Int = 22

        // Tableau
        myPaint.color = Color.GRAY
        canvas.drawRect(0F,0F,tailleTableauLargeur,tailleTableauHauteur,myPaint)
        // case
        myPaint.color = Color.BLACK
        /*
        canvas.drawRect(0F,0F,tailleGrille,tailleTableauHauteur,myPaint)
        canvas.drawRect(0F,0F,tailleTableauLargeur,tailleGrille,myPaint)

        canvas.drawRect(tailleTableauLargeur-tailleGrille,0F,tailleTableauLargeur,tailleTableauHauteur,myPaint)
        canvas.drawRect(0F,tailleTableauHauteur-tailleGrille,tailleTableauLargeur,tailleTableauHauteur,myPaint)
        */

        myPaint.strokeWidth = tailleGrille
        canvas.drawLine(0F,0F,0F,tailleTableauHauteur,myPaint)
        canvas.drawLine(0F,0F,tailleTableauLargeur,0F,myPaint)
        canvas.drawLine(tailleTableauLargeur,0F,tailleTableauLargeur,tailleTableauHauteur,myPaint)
        canvas.drawLine(0F,tailleTableauHauteur,tailleTableauLargeur,tailleTableauHauteur,myPaint)

        var tailleCase:Float = tailleTableauLargeur/nbCaseLargeur
        //canvas.drawRect(tailleGrille+tailleCase,0F,tailleGrille,tailleTableauHauteur,myPaint);
        for (i in 1..nbCaseLargeur){
            canvas.drawLine(tailleCase*i,0F,tailleCase*i,tailleTableauHauteur,myPaint)
        }

        tailleCase = tailleTableauHauteur/nbCaseHauteur
        for (i in 1..nbCaseHauteur){
            canvas.drawLine(0F,tailleCase*i,tailleTableauLargeur,tailleCase*i,myPaint)
        }

        // Test piece
        
    }
}